> ## Documentation Index
> Fetch the complete documentation index at: https://docs.machine.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Abrir solicitação

> Por meio dessa endpoint, é permitido abrir novas solicitações. Caso seja informado a data e a hora em que a solicitação deve ser aberta, é criada uma solicitação programada.



## OpenAPI

````yaml pages/v1/openapi-entregas.json POST /abrirSolicitacao
openapi: 3.1.0
info:
  title: API de Integração
  description: API de Integração v1
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-vendas.taximachine.com.br/api/integracao
  - url: https://api.taximachine.com.br/api/integracao
security:
  - basicAuth: []
    ApiKeyAuth: []
paths:
  /abrirSolicitacao:
    post:
      summary: Abrir solicitação
      description: >-
        Por meio dessa endpoint, é permitido abrir novas solicitações. Caso seja
        informado a data e a hora em que a solicitação deve ser aberta, é criada
        uma solicitação programada.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                forma_pagamento:
                  type: string
                  enum:
                    - D
                    - B
                    - C
                    - X
                    - P
                    - H
                    - F
                    - R
                  description: Forma de pagamento.
                empresa_id:
                  type: integer
                  description: ID da empresa.
                condutor:
                  type: object
                  properties:
                    tipo_identificacao:
                      type: string
                      enum:
                        - I
                    identificacao:
                      type: integer
                categoria_id:
                  type: integer
                categoria_nome:
                  type: string
                partida:
                  type: object
                  properties:
                    endereco:
                      type: string
                    bairro:
                      type: string
                    complemento:
                      type: string
                    cidade:
                      type: string
                    estado:
                      type: string
                    referencia:
                      type: string
                    lat:
                      type: number
                      format: float
                    lng:
                      type: number
                      format: float
                paradas:
                  type: array
                  items:
                    type: object
                    properties:
                      endereco_parada:
                        type: string
                      bairro_parada:
                        type: string
                      complemento_parada:
                        type: string
                      cidade_parada:
                        type: string
                      estado_parada:
                        type: string
                      referencia_parada:
                        type: string
                      lat_parada:
                        type: number
                        format: float
                      lng_parada:
                        type: number
                        format: float
                      id_externo:
                        type: string
                      observacao_parada:
                        type: string
                      nome_cliente_parada:
                        type: string
                      telefone_cliente_parada:
                        type: string
                      codigo_confirmacao:
                        type: string
                      valor_cobrar:
                        type: number
                        format: float
                retorno:
                  type: boolean
                data:
                  type: string
                  format: date
                hora:
                  type: string
                antecedencia:
                  type: integer
      responses:
        '200':
          description: Sucesso
          content:
            application/json:
              schema:
                type: object
              example:
                success: true
                response:
                  id_mch: '160'
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: Obrigatório. Sua chave API.

````